package com.ruoyi.mqtt.dto.localization;

import java.util.List;

/**
 * 位姿数据
 */
public class PoseData {
    
    /**
     * 局部地图坐标系的xyz坐标,单位:米
     */
    private List<Double> xyz;
    
    /**
     * 横滚、俯仰、航向角,单位:弧度
     */
    private List<Double> rpy;
    
    /**
     * GNSS数据:纬度、经度、高度(米)
     */
    private List<Double> blh;
    
    /**
     * GNSS真北坐标系方向角,单位:弧度
     */
    private Double heading;
    
    public List<Double> getXyz() {
        return xyz;
    }
    
    public void setXyz(List<Double> xyz) {
        this.xyz = xyz;
    }
    
    public List<Double> getRpy() {
        return rpy;
    }
    
    public void setRpy(List<Double> rpy) {
        this.rpy = rpy;
    }
    
    public List<Double> getBlh() {
        return blh;
    }
    
    public void setBlh(List<Double> blh) {
        this.blh = blh;
    }
    
    public Double getHeading() {
        return heading;
    }
    
    public void setHeading(Double heading) {
        this.heading = heading;
    }
}
